> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Выставление счета

> Выставляет счет на оплату корзины (один счет на все намерения корзины)



## OpenAPI

````yaml POST /pouch/{pouchId}/checkout
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /pouch/{pouchId}/checkout:
    post:
      tags:
        - Pouch
      description: Выставляет счет на оплату корзины (один счет на все намерения корзины)
      operationId: pouchCheckout
      parameters:
        - name: pouchId
          in: path
          description: ID корзины
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: Email покупателя
                  format: email
                name:
                  type: string
                  description: Имя покупателя
                  maxLength: 200
                phone:
                  type: string
                  description: Телефон покупателя
                  maxLength: 50
                comment:
                  type: string
                  description: Комментарий к заказу
                  maxLength: 1000
                delivery:
                  type: object
                  description: >-
                    Информация о доставке из [CDEK
                    виджета](https://github.com/cdek-it/widget/wiki/%D0%9D%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0-3.0#%D0%B2%D1%8B%D0%B1%D0%BE%D1%80-%D1%82%D0%B0%D1%80%D0%B8%D1%84%D0%B0-%D0%B8-%D0%BC%D0%B5%D1%82%D0%BE%D0%B4%D0%B0-%D0%B4%D0%BE%D1%81%D1%82%D0%B0%D0%B2%D0%BA%D0%B8-onchoose)
                  properties:
                    type:
                      type: string
                      enum:
                        - door
                        - office
                    rates:
                      type: object
                      properties:
                        tariff_code:
                          type: number
                        tariff_name:
                          type: string
                        tariff_description:
                          type: string
                        delivery_mode:
                          type: number
                        period_min:
                          type: number
                        period_max:
                          type: number
                        delivery_sum:
                          type: number
                    address:
                      type: object
                      properties:
                        name:
                          type: string
                        postal_code:
                          type: string
                        country_code:
                          type: string
                        city:
                          type: string
                        city_code:
                          type: number
                        type:
                          type: string
                        have_cashless:
                          type: boolean
                        have_cash:
                          type: boolean
                        allowed_cod:
                          type: boolean
                        is_dressing_room:
                          type: boolean
                        code:
                          type: string
                        address:
                          type: string
                        work_time:
                          type: string
                        location:
                          type: array
                          items:
                            type: number
                        position:
                          type: array
                          items:
                            type: number
                        kind:
                          type: string
                        precision:
                          type: string
                        formatted:
                          type: string
      responses:
        '200':
          description: Оплата успешно инициирована
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  paymentId:
                    type: string
                    description: ID платежа
                    example: payment_12345
                  paymentUrl:
                    description: Ссылка на оплату
                    type: string
                  message:
                    type: string
                    example: Payment initiated
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````